package com.mortals.xhx.module.perform.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.perform.model.PerformErrorMessageEntity;
/**
 * 绩效异常信息查询对象
 *
 * @author zxfei
 * @date 2024-04-30
 */
public class PerformErrorMessageQuery extends PerformErrorMessageEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 核查记录Id */
    private Long checkRecordIdStart;

    /** 结束 核查记录Id */
    private Long checkRecordIdEnd;

    /** 增加 核查记录Id */
    private Long checkRecordIdIncrement;

    /** 核查记录Id列表 */
    private List <Long> checkRecordIdList;

    /** 核查记录Id排除列表 */
    private List <Long> checkRecordIdNotList;

    /** 开始 部门id号 */
    private Long deptIdStart;

    /** 结束 部门id号 */
    private Long deptIdEnd;

    /** 增加 部门id号 */
    private Long deptIdIncrement;

    /** 部门id号列表 */
    private List <Long> deptIdList;

    /** 部门id号排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属大厅 */
    private Long salaIdStart;

    /** 结束 所属大厅 */
    private Long salaIdEnd;

    /** 增加 所属大厅 */
    private Long salaIdIncrement;

    /** 所属大厅列表 */
    private List <Long> salaIdList;

    /** 所属大厅排除列表 */
    private List <Long> salaIdNotList;

    /** 所属大厅名称 */
    private List<String> salaNameList;

    /** 所属大厅名称排除列表 */
    private List <String> salaNameNotList;
    /** 开始 绩效责任人id */
    private Long staffIdStart;

    /** 结束 绩效责任人id */
    private Long staffIdEnd;

    /** 增加 绩效责任人id */
    private Long staffIdIncrement;

    /** 绩效责任人id列表 */
    private List <Long> staffIdList;

    /** 绩效责任人id排除列表 */
    private List <Long> staffIdNotList;

    /** 绩效负责人名称 */
    private List<String> staffNameList;

    /** 绩效负责人名称排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 开始 异常时间 */
    private String errorTimeStart;

    /** 结束 异常时间 */
    private String errorTimeEnd;

    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 开始 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeStart;

    /** 结束 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeEnd;

    /** 增加 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeIncrement;

    /** 增减类型(1.增加,2.扣除)列表 */
    private List <Integer> subAddTypeList;

    /** 增减类型(1.增加,2.扣除)排除列表 */
    private List <Integer> subAddTypeNotList;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 开始 阅读状态0未读1已读 */
    private Integer readStatusStart;

    /** 结束 阅读状态0未读1已读 */
    private Integer readStatusEnd;

    /** 增加 阅读状态0未读1已读 */
    private Integer readStatusIncrement;

    /** 阅读状态0未读1已读列表 */
    private List <Integer> readStatusList;

    /** 阅读状态0未读1已读排除列表 */
    private List <Integer> readStatusNotList;

    /** 开始 核查处理状态1.未处理,2.已处理 */
    private Integer checkStatusStart;

    /** 结束 核查处理状态1.未处理,2.已处理 */
    private Integer checkStatusEnd;

    /** 增加 核查处理状态1.未处理,2.已处理 */
    private Integer checkStatusIncrement;

    /** 核查处理状态1.未处理,2.已处理列表 */
    private List <Integer> checkStatusList;

    /** 核查处理状态1.未处理,2.已处理排除列表 */
    private List <Integer> checkStatusNotList;

    /** 开始 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过) */
    private Integer appealStatusStart;

    /** 结束 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过) */
    private Integer appealStatusEnd;

    /** 增加 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过) */
    private Integer appealStatusIncrement;

    /** 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)列表 */
    private List <Integer> appealStatusList;

    /** 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)排除列表 */
    private List <Integer> appealStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】 */
    private List<String> performTypeList;

    /** 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】排除列表 */
    private List <String> performTypeNotList;
    /** 开始 核查时间 */
    private String checkTimeStart;

    /** 结束 核查时间 */
    private String checkTimeEnd;

    /** 开始 申诉时间 */
    private String appealTimeStart;

    /** 结束 申诉时间 */
    private String appealTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformErrorMessageQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformErrorMessageQuery> andConditionList;

    public PerformErrorMessageQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 核查记录Id
     * @return checkRecordIdStart
     */
    public Long getCheckRecordIdStart(){
        return this.checkRecordIdStart;
    }

    /**
     * 设置 开始 核查记录Id
     * @param checkRecordIdStart
     */
    public void setCheckRecordIdStart(Long checkRecordIdStart){
        this.checkRecordIdStart = checkRecordIdStart;
    }

    /**
     * 获取 结束 核查记录Id
     * @return $checkRecordIdEnd
     */
    public Long getCheckRecordIdEnd(){
        return this.checkRecordIdEnd;
    }

    /**
     * 设置 结束 核查记录Id
     * @param checkRecordIdEnd
     */
    public void setCheckRecordIdEnd(Long checkRecordIdEnd){
        this.checkRecordIdEnd = checkRecordIdEnd;
    }

    /**
     * 获取 增加 核查记录Id
     * @return checkRecordIdIncrement
     */
    public Long getCheckRecordIdIncrement(){
        return this.checkRecordIdIncrement;
    }

    /**
     * 设置 增加 核查记录Id
     * @param checkRecordIdIncrement
     */
    public void setCheckRecordIdIncrement(Long checkRecordIdIncrement){
        this.checkRecordIdIncrement = checkRecordIdIncrement;
    }

    /**
     * 获取 核查记录Id
     * @return checkRecordIdList
     */
    public List<Long> getCheckRecordIdList(){
        return this.checkRecordIdList;
    }

    /**
     * 设置 核查记录Id
     * @param checkRecordIdList
     */
    public void setCheckRecordIdList(List<Long> checkRecordIdList){
        this.checkRecordIdList = checkRecordIdList;
    }

    /**
     * 获取 核查记录Id
     * @return checkRecordIdNotList
     */
    public List<Long> getCheckRecordIdNotList(){
        return this.checkRecordIdNotList;
    }

    /**
     * 设置 核查记录Id
     * @param checkRecordIdNotList
     */
    public void setCheckRecordIdNotList(List<Long> checkRecordIdNotList){
        this.checkRecordIdNotList = checkRecordIdNotList;
    }


    /**
     * 获取 开始 部门id号
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门id号
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门id号
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门id号
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门id号
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门id号
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门id号
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门id号
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门id号
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门id号
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 所属大厅
     * @return salaIdStart
     */
    public Long getSalaIdStart(){
        return this.salaIdStart;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public void setSalaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
    }

    /**
     * 获取 结束 所属大厅
     * @return $salaIdEnd
     */
    public Long getSalaIdEnd(){
        return this.salaIdEnd;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public void setSalaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
    }

    /**
     * 获取 增加 所属大厅
     * @return salaIdIncrement
     */
    public Long getSalaIdIncrement(){
        return this.salaIdIncrement;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public void setSalaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
    }

    /**
     * 获取 所属大厅
     * @return salaIdList
     */
    public List<Long> getSalaIdList(){
        return this.salaIdList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public void setSalaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
    }

    /**
     * 获取 所属大厅
     * @return salaIdNotList
     */
    public List<Long> getSalaIdNotList(){
        return this.salaIdNotList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public void setSalaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
    }


    /**
     * 获取 所属大厅名称
     * @return salaNameList
     */
    public List<String> getSalaNameList(){
        return this.salaNameList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public void setSalaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
    }

    /**
     * 获取 所属大厅名称
     * @return salaNameNotList
     */
    public List<String> getSalaNameNotList(){
        return this.salaNameNotList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameNotList
     */
    public void setSalaNameNotList(List<String> salaNameNotList){
        this.salaNameNotList = salaNameNotList;
    }

    /**
     * 获取 开始 绩效责任人id
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 绩效责任人id
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 绩效责任人id
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 绩效责任人id
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 绩效责任人id
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 绩效责任人id
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 绩效责任人id
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 绩效责任人id
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 绩效责任人id
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 绩效责任人id
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 绩效负责人名称
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 绩效负责人名称
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 绩效负责人名称
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 绩效负责人名称
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 工号
     * @return workNumList
     */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
     * 获取 工号
     * @return workNumNotList
     */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
     * 设置 工号
     * @param workNumNotList
     */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
     * 获取 开始 异常时间
     * @return errorTimeStart
     */
    public String getErrorTimeStart(){
        return this.errorTimeStart;
    }

    /**
     * 设置 开始 异常时间
     * @param errorTimeStart
     */
    public void setErrorTimeStart(String errorTimeStart){
        this.errorTimeStart = errorTimeStart;
    }

    /**
     * 获取 结束 异常时间
     * @return errorTimeEnd
     */
    public String getErrorTimeEnd(){
        return this.errorTimeEnd;
    }

    /**
     * 设置 结束 异常时间
     * @param errorTimeEnd
     */
    public void setErrorTimeEnd(String errorTimeEnd){
        this.errorTimeEnd = errorTimeEnd;
    }

    /**
     * 获取 开始 绩效规则id
     * @return ruleIdStart
     */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
     * 设置 开始 绩效规则id
     * @param ruleIdStart
     */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
     * 获取 结束 绩效规则id
     * @return $ruleIdEnd
     */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
     * 设置 结束 绩效规则id
     * @param ruleIdEnd
     */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
     * 获取 增加 绩效规则id
     * @return ruleIdIncrement
     */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
     * 设置 增加 绩效规则id
     * @param ruleIdIncrement
     */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
     * 获取 绩效规则id
     * @return ruleIdList
     */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdList
     */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
     * 获取 绩效规则id
     * @return ruleIdNotList
     */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdNotList
     */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
     * 获取 规则名称
     * @return ruleNameList
     */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
     * 获取 规则名称
     * @return ruleNameNotList
     */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameNotList
     */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
     * 获取 开始 增减类型(1.增加,2.扣除)
     * @return subAddTypeStart
     */
    public Integer getSubAddTypeStart(){
        return this.subAddTypeStart;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public void setSubAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
    }

    /**
     * 获取 结束 增减类型(1.增加,2.扣除)
     * @return $subAddTypeEnd
     */
    public Integer getSubAddTypeEnd(){
        return this.subAddTypeEnd;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public void setSubAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
    }

    /**
     * 获取 增加 增减类型(1.增加,2.扣除)
     * @return subAddTypeIncrement
     */
    public Integer getSubAddTypeIncrement(){
        return this.subAddTypeIncrement;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public void setSubAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeList
     */
    public List<Integer> getSubAddTypeList(){
        return this.subAddTypeList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public void setSubAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeNotList
     */
    public List<Integer> getSubAddTypeNotList(){
        return this.subAddTypeNotList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public void setSubAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
    }


    /**
     * 获取 开始 扣分或增加分值
     * @return scoreStart
     */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
     * 获取 结束 扣分或增加分值
     * @return $scoreEnd
     */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
     * 获取 增加 扣分或增加分值
     * @return scoreIncrement
     */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreList
     */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreNotList
     */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
     * 获取 开始 阅读状态0未读1已读
     * @return readStatusStart
     */
    public Integer getReadStatusStart(){
        return this.readStatusStart;
    }

    /**
     * 设置 开始 阅读状态0未读1已读
     * @param readStatusStart
     */
    public void setReadStatusStart(Integer readStatusStart){
        this.readStatusStart = readStatusStart;
    }

    /**
     * 获取 结束 阅读状态0未读1已读
     * @return $readStatusEnd
     */
    public Integer getReadStatusEnd(){
        return this.readStatusEnd;
    }

    /**
     * 设置 结束 阅读状态0未读1已读
     * @param readStatusEnd
     */
    public void setReadStatusEnd(Integer readStatusEnd){
        this.readStatusEnd = readStatusEnd;
    }

    /**
     * 获取 增加 阅读状态0未读1已读
     * @return readStatusIncrement
     */
    public Integer getReadStatusIncrement(){
        return this.readStatusIncrement;
    }

    /**
     * 设置 增加 阅读状态0未读1已读
     * @param readStatusIncrement
     */
    public void setReadStatusIncrement(Integer readStatusIncrement){
        this.readStatusIncrement = readStatusIncrement;
    }

    /**
     * 获取 阅读状态0未读1已读
     * @return readStatusList
     */
    public List<Integer> getReadStatusList(){
        return this.readStatusList;
    }

    /**
     * 设置 阅读状态0未读1已读
     * @param readStatusList
     */
    public void setReadStatusList(List<Integer> readStatusList){
        this.readStatusList = readStatusList;
    }

    /**
     * 获取 阅读状态0未读1已读
     * @return readStatusNotList
     */
    public List<Integer> getReadStatusNotList(){
        return this.readStatusNotList;
    }

    /**
     * 设置 阅读状态0未读1已读
     * @param readStatusNotList
     */
    public void setReadStatusNotList(List<Integer> readStatusNotList){
        this.readStatusNotList = readStatusNotList;
    }


    /**
     * 获取 开始 核查处理状态1.未处理,2.已处理
     * @return checkStatusStart
     */
    public Integer getCheckStatusStart(){
        return this.checkStatusStart;
    }

    /**
     * 设置 开始 核查处理状态1.未处理,2.已处理
     * @param checkStatusStart
     */
    public void setCheckStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
    }

    /**
     * 获取 结束 核查处理状态1.未处理,2.已处理
     * @return $checkStatusEnd
     */
    public Integer getCheckStatusEnd(){
        return this.checkStatusEnd;
    }

    /**
     * 设置 结束 核查处理状态1.未处理,2.已处理
     * @param checkStatusEnd
     */
    public void setCheckStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
    }

    /**
     * 获取 增加 核查处理状态1.未处理,2.已处理
     * @return checkStatusIncrement
     */
    public Integer getCheckStatusIncrement(){
        return this.checkStatusIncrement;
    }

    /**
     * 设置 增加 核查处理状态1.未处理,2.已处理
     * @param checkStatusIncrement
     */
    public void setCheckStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
    }

    /**
     * 获取 核查处理状态1.未处理,2.已处理
     * @return checkStatusList
     */
    public List<Integer> getCheckStatusList(){
        return this.checkStatusList;
    }

    /**
     * 设置 核查处理状态1.未处理,2.已处理
     * @param checkStatusList
     */
    public void setCheckStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
    }

    /**
     * 获取 核查处理状态1.未处理,2.已处理
     * @return checkStatusNotList
     */
    public List<Integer> getCheckStatusNotList(){
        return this.checkStatusNotList;
    }

    /**
     * 设置 核查处理状态1.未处理,2.已处理
     * @param checkStatusNotList
     */
    public void setCheckStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
    }


    /**
     * 获取 开始 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @return appealStatusStart
     */
    public Integer getAppealStatusStart(){
        return this.appealStatusStart;
    }

    /**
     * 设置 开始 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusStart
     */
    public void setAppealStatusStart(Integer appealStatusStart){
        this.appealStatusStart = appealStatusStart;
    }

    /**
     * 获取 结束 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @return $appealStatusEnd
     */
    public Integer getAppealStatusEnd(){
        return this.appealStatusEnd;
    }

    /**
     * 设置 结束 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusEnd
     */
    public void setAppealStatusEnd(Integer appealStatusEnd){
        this.appealStatusEnd = appealStatusEnd;
    }

    /**
     * 获取 增加 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @return appealStatusIncrement
     */
    public Integer getAppealStatusIncrement(){
        return this.appealStatusIncrement;
    }

    /**
     * 设置 增加 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusIncrement
     */
    public void setAppealStatusIncrement(Integer appealStatusIncrement){
        this.appealStatusIncrement = appealStatusIncrement;
    }

    /**
     * 获取 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @return appealStatusList
     */
    public List<Integer> getAppealStatusList(){
        return this.appealStatusList;
    }

    /**
     * 设置 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusList
     */
    public void setAppealStatusList(List<Integer> appealStatusList){
        this.appealStatusList = appealStatusList;
    }

    /**
     * 获取 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @return appealStatusNotList
     */
    public List<Integer> getAppealStatusNotList(){
        return this.appealStatusNotList;
    }

    /**
     * 设置 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusNotList
     */
    public void setAppealStatusNotList(List<Integer> appealStatusNotList){
        this.appealStatusNotList = appealStatusNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】
     * @return performTypeList
     */
    public List<String> getPerformTypeList(){
        return this.performTypeList;
    }

    /**
     * 设置 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】
     * @param performTypeList
     */
    public void setPerformTypeList(List<String> performTypeList){
        this.performTypeList = performTypeList;
    }

    /**
     * 获取 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】
     * @return performTypeNotList
     */
    public List<String> getPerformTypeNotList(){
        return this.performTypeNotList;
    }

    /**
     * 设置 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】
     * @param performTypeNotList
     */
    public void setPerformTypeNotList(List<String> performTypeNotList){
        this.performTypeNotList = performTypeNotList;
    }

    /**
     * 获取 开始 核查时间
     * @return checkTimeStart
     */
    public String getCheckTimeStart(){
        return this.checkTimeStart;
    }

    /**
     * 设置 开始 核查时间
     * @param checkTimeStart
     */
    public void setCheckTimeStart(String checkTimeStart){
        this.checkTimeStart = checkTimeStart;
    }

    /**
     * 获取 结束 核查时间
     * @return checkTimeEnd
     */
    public String getCheckTimeEnd(){
        return this.checkTimeEnd;
    }

    /**
     * 设置 结束 核查时间
     * @param checkTimeEnd
     */
    public void setCheckTimeEnd(String checkTimeEnd){
        this.checkTimeEnd = checkTimeEnd;
    }

    /**
     * 获取 开始 申诉时间
     * @return appealTimeStart
     */
    public String getAppealTimeStart(){
        return this.appealTimeStart;
    }

    /**
     * 设置 开始 申诉时间
     * @param appealTimeStart
     */
    public void setAppealTimeStart(String appealTimeStart){
        this.appealTimeStart = appealTimeStart;
    }

    /**
     * 获取 结束 申诉时间
     * @return appealTimeEnd
     */
    public String getAppealTimeEnd(){
        return this.appealTimeEnd;
    }

    /**
     * 设置 结束 申诉时间
     * @param appealTimeEnd
     */
    public void setAppealTimeEnd(String appealTimeEnd){
        this.appealTimeEnd = appealTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public PerformErrorMessageQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public PerformErrorMessageQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public PerformErrorMessageQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public PerformErrorMessageQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public PerformErrorMessageQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public PerformErrorMessageQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  核查记录Id
     * @param checkRecordId
     */
    public PerformErrorMessageQuery checkRecordId(Long checkRecordId){
        setCheckRecordId(checkRecordId);
        return this;
    }

    /**
     * 设置 开始 核查记录Id
     * @param checkRecordIdStart
     */
    public PerformErrorMessageQuery checkRecordIdStart(Long checkRecordIdStart){
        this.checkRecordIdStart = checkRecordIdStart;
        return this;
    }

    /**
     * 设置 结束 核查记录Id
     * @param checkRecordIdEnd
     */
    public PerformErrorMessageQuery checkRecordIdEnd(Long checkRecordIdEnd){
        this.checkRecordIdEnd = checkRecordIdEnd;
        return this;
    }

    /**
     * 设置 增加 核查记录Id
     * @param checkRecordIdIncrement
     */
    public PerformErrorMessageQuery checkRecordIdIncrement(Long checkRecordIdIncrement){
        this.checkRecordIdIncrement = checkRecordIdIncrement;
        return this;
    }

    /**
     * 设置 核查记录Id
     * @param checkRecordIdList
     */
    public PerformErrorMessageQuery checkRecordIdList(List<Long> checkRecordIdList){
        this.checkRecordIdList = checkRecordIdList;
        return this;
    }

    /**
     * 设置 核查记录Id
     * @param checkRecordIdNotList
     */
    public PerformErrorMessageQuery checkRecordIdNotList(List<Long> checkRecordIdNotList){
        this.checkRecordIdNotList = checkRecordIdNotList;
        return this;
    }

    /**
     * 设置  部门id号
     * @param deptId
     */
    public PerformErrorMessageQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门id号
     * @param deptIdStart
     */
    public PerformErrorMessageQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门id号
     * @param deptIdEnd
     */
    public PerformErrorMessageQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门id号
     * @param deptIdIncrement
     */
    public PerformErrorMessageQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门id号
     * @param deptIdList
     */
    public PerformErrorMessageQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门id号
     * @param deptIdNotList
     */
    public PerformErrorMessageQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public PerformErrorMessageQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public PerformErrorMessageQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  所属大厅
     * @param salaId
     */
    public PerformErrorMessageQuery salaId(Long salaId){
        setSalaId(salaId);
        return this;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public PerformErrorMessageQuery salaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
        return this;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public PerformErrorMessageQuery salaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public PerformErrorMessageQuery salaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public PerformErrorMessageQuery salaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public PerformErrorMessageQuery salaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
        return this;
    }


    /**
     * 设置 所属大厅名称
     * @param salaName
     */
    public PerformErrorMessageQuery salaName(String salaName){
        setSalaName(salaName);
        return this;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public PerformErrorMessageQuery salaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
        return this;
    }

    /**
     * 设置  绩效责任人id
     * @param staffId
     */
    public PerformErrorMessageQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 绩效责任人id
     * @param staffIdStart
     */
    public PerformErrorMessageQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 绩效责任人id
     * @param staffIdEnd
     */
    public PerformErrorMessageQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 绩效责任人id
     * @param staffIdIncrement
     */
    public PerformErrorMessageQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 绩效责任人id
     * @param staffIdList
     */
    public PerformErrorMessageQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 绩效责任人id
     * @param staffIdNotList
     */
    public PerformErrorMessageQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 绩效负责人名称
     * @param staffName
     */
    public PerformErrorMessageQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 绩效负责人名称
     * @param staffNameList
     */
    public PerformErrorMessageQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }


    /**
     * 设置 工号
     * @param workNum
     */
    public PerformErrorMessageQuery workNum(String workNum){
        setWorkNum(workNum);
        return this;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public PerformErrorMessageQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
        return this;
    }


    /**
     * 设置  绩效规则id
     * @param ruleId
     */
    public PerformErrorMessageQuery ruleId(Long ruleId){
        setRuleId(ruleId);
        return this;
    }

    /**
     * 设置 开始 绩效规则id
     * @param ruleIdStart
     */
    public PerformErrorMessageQuery ruleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
        return this;
    }

    /**
     * 设置 结束 绩效规则id
     * @param ruleIdEnd
     */
    public PerformErrorMessageQuery ruleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
        return this;
    }

    /**
     * 设置 增加 绩效规则id
     * @param ruleIdIncrement
     */
    public PerformErrorMessageQuery ruleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
        return this;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdList
     */
    public PerformErrorMessageQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
        return this;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdNotList
     */
    public PerformErrorMessageQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
    }


    /**
     * 设置 规则名称
     * @param ruleName
     */
    public PerformErrorMessageQuery ruleName(String ruleName){
        setRuleName(ruleName);
        return this;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public PerformErrorMessageQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
        return this;
    }

    /**
     * 设置  增减类型(1.增加,2.扣除)
     * @param subAddType
     */
    public PerformErrorMessageQuery subAddType(Integer subAddType){
        setSubAddType(subAddType);
        return this;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public PerformErrorMessageQuery subAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
        return this;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public PerformErrorMessageQuery subAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
        return this;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public PerformErrorMessageQuery subAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public PerformErrorMessageQuery subAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public PerformErrorMessageQuery subAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
        return this;
    }

    /**
     * 设置  扣分或增加分值
     * @param score
     */
    public PerformErrorMessageQuery score(BigDecimal score){
        setScore(score);
        return this;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public PerformErrorMessageQuery scoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
        return this;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public PerformErrorMessageQuery scoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
        return this;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public PerformErrorMessageQuery scoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public PerformErrorMessageQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public PerformErrorMessageQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
    }

    /**
     * 设置  阅读状态0未读1已读
     * @param readStatus
     */
    public PerformErrorMessageQuery readStatus(Integer readStatus){
        setReadStatus(readStatus);
        return this;
    }

    /**
     * 设置 开始 阅读状态0未读1已读
     * @param readStatusStart
     */
    public PerformErrorMessageQuery readStatusStart(Integer readStatusStart){
        this.readStatusStart = readStatusStart;
        return this;
    }

    /**
     * 设置 结束 阅读状态0未读1已读
     * @param readStatusEnd
     */
    public PerformErrorMessageQuery readStatusEnd(Integer readStatusEnd){
        this.readStatusEnd = readStatusEnd;
        return this;
    }

    /**
     * 设置 增加 阅读状态0未读1已读
     * @param readStatusIncrement
     */
    public PerformErrorMessageQuery readStatusIncrement(Integer readStatusIncrement){
        this.readStatusIncrement = readStatusIncrement;
        return this;
    }

    /**
     * 设置 阅读状态0未读1已读
     * @param readStatusList
     */
    public PerformErrorMessageQuery readStatusList(List<Integer> readStatusList){
        this.readStatusList = readStatusList;
        return this;
    }

    /**
     * 设置 阅读状态0未读1已读
     * @param readStatusNotList
     */
    public PerformErrorMessageQuery readStatusNotList(List<Integer> readStatusNotList){
        this.readStatusNotList = readStatusNotList;
        return this;
    }

    /**
     * 设置  核查处理状态1.未处理,2.已处理
     * @param checkStatus
     */
    public PerformErrorMessageQuery checkStatus(Integer checkStatus){
        setCheckStatus(checkStatus);
        return this;
    }

    /**
     * 设置 开始 核查处理状态1.未处理,2.已处理
     * @param checkStatusStart
     */
    public PerformErrorMessageQuery checkStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
        return this;
    }

    /**
     * 设置 结束 核查处理状态1.未处理,2.已处理
     * @param checkStatusEnd
     */
    public PerformErrorMessageQuery checkStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
        return this;
    }

    /**
     * 设置 增加 核查处理状态1.未处理,2.已处理
     * @param checkStatusIncrement
     */
    public PerformErrorMessageQuery checkStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
        return this;
    }

    /**
     * 设置 核查处理状态1.未处理,2.已处理
     * @param checkStatusList
     */
    public PerformErrorMessageQuery checkStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
        return this;
    }

    /**
     * 设置 核查处理状态1.未处理,2.已处理
     * @param checkStatusNotList
     */
    public PerformErrorMessageQuery checkStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
        return this;
    }

    /**
     * 设置  申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatus
     */
    public PerformErrorMessageQuery appealStatus(Integer appealStatus){
        setAppealStatus(appealStatus);
        return this;
    }

    /**
     * 设置 开始 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusStart
     */
    public PerformErrorMessageQuery appealStatusStart(Integer appealStatusStart){
        this.appealStatusStart = appealStatusStart;
        return this;
    }

    /**
     * 设置 结束 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusEnd
     */
    public PerformErrorMessageQuery appealStatusEnd(Integer appealStatusEnd){
        this.appealStatusEnd = appealStatusEnd;
        return this;
    }

    /**
     * 设置 增加 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusIncrement
     */
    public PerformErrorMessageQuery appealStatusIncrement(Integer appealStatusIncrement){
        this.appealStatusIncrement = appealStatusIncrement;
        return this;
    }

    /**
     * 设置 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusList
     */
    public PerformErrorMessageQuery appealStatusList(List<Integer> appealStatusList){
        this.appealStatusList = appealStatusList;
        return this;
    }

    /**
     * 设置 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     * @param appealStatusNotList
     */
    public PerformErrorMessageQuery appealStatusNotList(List<Integer> appealStatusNotList){
        this.appealStatusNotList = appealStatusNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public PerformErrorMessageQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public PerformErrorMessageQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PerformErrorMessageQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PerformErrorMessageQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PerformErrorMessageQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PerformErrorMessageQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PerformErrorMessageQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public PerformErrorMessageQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public PerformErrorMessageQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public PerformErrorMessageQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public PerformErrorMessageQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public PerformErrorMessageQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public PerformErrorMessageQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public PerformErrorMessageQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】
     * @param performType
     */
    public PerformErrorMessageQuery performType(String performType){
        setPerformType(performType);
        return this;
    }

    /**
     * 设置 绩效类型【attend:考勤绩效,review:评价差评绩效,complain:评价投诉绩效,gowork:办件绩效,effect:效能绩效,other:其它绩效】
     * @param performTypeList
     */
    public PerformErrorMessageQuery performTypeList(List<String> performTypeList){
        this.performTypeList = performTypeList;
        return this;
    }



    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PerformErrorMessageQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PerformErrorMessageQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PerformErrorMessageQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PerformErrorMessageQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}